Package org.bgerp.plugin.msg.email.config

# Class RecipientsConfig

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.plugin.msg.email.config.RecipientsConfig

public class RecipientsConfig extends Config

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AREA_EXECUTORS`
  User executors for a process.
  `static final String`
  `AREA_PROCESS`
  Process parameters.
  `static final String`
  `AREA_PROCESS_CUSTOMERS`
  Customers linked to a process.
  `static final String`
  `AREA_USERS`
  All not disabled users.

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RecipientsConfig(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `areas()`

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AREA_PROCESS

    public static final String AREA_PROCESS
    Process parameters.
    See Also:
      - Constant Field Values

  - ### AREA_USERS

    public static final String AREA_USERS
    All not disabled users.
    See Also:
      - Constant Field Values

  - ### AREA_EXECUTORS

    public static final String AREA_EXECUTORS
    User executors for a process.
    See Also:
      - Constant Field Values

  - ### AREA_PROCESS_CUSTOMERS

    public static final String AREA_PROCESS_CUSTOMERS
    Customers linked to a process.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RecipientsConfig

    protected RecipientsConfig(ConfigMap config)

- ## Method Details

  - ### areas

    public Set<String> areas()